get
https://{your-domain}.com/customer//cases
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Details
Responses and Response Schema
200 (Cases Associated with Customer)
Top-level Object
The top-level object is an array[object] type, with each object in the array representing a case found.
| Field Name | Type | Description |
|---|---|---|
| id* | string | |
| number* | string | The case number to display to Khoros Marketing Agents |
| customerId* | string | The ID of the customer associated with this new case. |
| title* | string | The title of the case. |
| description* | string | The longer form description of the case. |
| url* | string | The URI the agent can click on to see the case. |
| lastUpdated* | string | ISO8601 DateTime of when the case was last updated. |
| created* | string | ISO8601 DateTime of when the case was created. |
| status* | string | Allowed Values open, closed |
| interactions | array[object] | |
| customCasePropertyOne | string | An example of a custom field on the Case object. These will only be present if specified via the /meta/object/case endpoint. |
| customCasePropertyTwo | string | An example of a custom field on the Case object. These will only be present if specified via the createCase endpoint. |
Interactions Object
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "created*", "0-1": "string", "0-2": "The creation date of the interaction on the origin service.", "1-0": "body*", "1-1": "string", "1-2": "The text of the interaction.", "2-0": "linkUrl*", "2-1": "string", "2-2": "The direct link to the context on the origin service when available.", "3-0": "serviceId*", "3-1": "string", "3-2": "The social service the interaction originated.", "4-0": "service*", "4-1": "string", "4-2": "The social service the interaction originated.", "5-0": "contentType*", "5-1": "string", "5-2": "The type of content the interaction is on the origin service. Examples include: `post`, `comment`, etc." }, "cols": 3, "rows": 6 } [/block]
Author Object
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Descritpion", "0-0": "service*", "0-1": "string", "0-2": "The social service of the author.", "1-0": "serviceId*", "1-1": "string", "2-0": "handle*", "2-1": "string", "2-2": "The handle of the author on the origin service.", "3-0": "name*", "3-1": "string", "4-0": "brandOwned*", "4-1": "boolean", "4-2": "A flag that signals if the author belongs to an account added to the platform.", "1-2": "The id of the author on the origin service.", "3-2": "The screen name of the author on the origin service." }, "cols": 3, "rows": 5 } [/block]
400 (Generic Errors)
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "error", "0-1": "string", "0-2": "Name of the error code.", "1-0": "message", "1-1": "string", "1-2": "Message passable to the user." }, "cols": 3, "rows": 2 } [/block]
401 (Invalid API Key)
API key is invalid or has become de-authenticated
404 (Customer Not Found)
No case exists with the provided ID
500 (Unexpected Error)
Unexpected Error [block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "error", "0-1": "string", "0-2": "Name of the error or code.", "1-0": "message", "1-1": "string", "1-2": "Message passable to the user." }, "cols": 3, "rows": 2 } [/block]